# -*- rpm-spec -*-
# $Id: xemacs-pcl-cvs,v 1.19 2002/12/21 17:34:29 lioka Exp $

%define xemacs_package pcl-cvs

Name: xemacs-pcl-cvs
Version: 1.63
Release: alt3

Summary: CVS frontend
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2
Patch: %xemacs_package-%version-alt-pty.patch

PreReq: xemacsen
Requires: xemacs-base xemacs-dired xemacs-edebug xemacs-ediff xemacs-edit-utils xemacs-elib xemacs-mail-lib xemacs-prog-modes xemacs-vc

BuildArch: noarch
BuildPreReq: xemacsen >= 0.1-alt2
BuildRequires: xemacs xemacs-base xemacs-elib xemacs-dired

%description
PCL-CVS is a front-end to CVS.  It integrates the most
frequently used CVS commands into emacs.

%prep
%setup -q -c
%patch -p1

%build
%xemacs_bytecompile -C lisp/pcl-cvs

%install
%__mkdir_p %buildroot{%_xemacs_package_dir,%_xemacs_infodir}
%__cp -a . %buildroot%_xemacs_package_dir
%__install -m0644 info/*.info* %buildroot%_xemacs_infodir 
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files

%changelog
* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.63-alt3
- #1531 fixed

* Mon Sep  9 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.63-alt2
- fixed parse errors on large directories

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.63-alt1
- first build for %distribution distribution

